Package skyview.survey

# Class SIAPGenerator

java.lang.Object
skyview.survey.SIAPGenerator

All Implemented Interfaces:
  `ImageGenerator`

Direct Known Subclasses:
  `AkariGenerator`, `NeatGenerator`, `SIAP2Generator`

public class SIAPGenerator extends Object implements ImageGenerator
This class gets a set of candidates from a SIAP request

## Constructor Summary

Constructors
Constructor
Description
`SIAPGenerator()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`addPosToURL(String base, double ra, double dec, double size)`
`protected String`
`getBaseURL()`
Find the base URL for this SIAP service
`void`
`getImages(double ra, double dec, double size, ArrayList<String> spells)`
Get images from a SIAP service
`protected String`
`getSurveyName()`
`protected String`
`updateURL(String input)`
Do regular expression transformation if requested.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SIAPGenerator

public SIAPGenerator()

## Method Details

### getBaseURL

protected String getBaseURL()
Find the base URL for this SIAP service

### getSurveyName

protected String getSurveyName()

### getImages

public void getImages(double ra, double dec, double size, ArrayList<String> spells) throws Exception
Get images from a SIAP service

Specified by:
  `getImages` in interface `ImageGenerator`
Throws:
  `Exception`

### addPosToURL

protected String addPosToURL(String base, double ra, double dec, double size)

### updateURL

protected String updateURL(String input)
Do regular expression transformation if requested. Other classes can override but should probably call this first unless they explicitly handle this.